vigor (0.016-34build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:55:12 +0100

vigor (0.016-34) unstable; urgency=medium

  * Apply X-Style: black.
  * Specify arguments in function declarations (closes: #1098064).

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Feb 2025 12:32:42 +0000

vigor (0.016-33) unstable; urgency=medium

  * Fix some implicit casts between pointer types (closes: #1075619).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Jul 2024 15:41:00 +0100

vigor (0.016-32) unstable; urgency=medium

  * Add many missing #includes (closes: #1066078).

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Mar 2024 10:47:11 +0000

vigor (0.016-31) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Update watch file format version to 4.
  * Build-depend on libncurses-dev rather than obsolete libncurses5-dev.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Dec 2023 13:07:39 +0000

vigor (0.016-30) unstable; urgency=medium

  * Simplify a debhelper override slightly.
  * Policy version 4.6.2.
  * Remove workaround for #707336 in debhelper, fixed long ago.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Dec 2022 14:55:25 +0000

vigor (0.016-29) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Colin Watson ]
  * Upgrade to debhelper v13.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 02:43:11 +0000

vigor (0.016-28) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Borrow patch from nvi to avoid including <sys/stropts.h>, which no
    longer exists as of glibc 2.30.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2019 18:12:12 +0100

vigor (0.016-27) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Colin Watson ]
  * Set Rules-Requires-Root: no.
  * Configure with vi_cv_path_shell=/bin/sh (closes: #915655).

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Dec 2018 16:43:05 +0000

vigor (0.016-26) unstable; urgency=medium

  * Drop "Provides: editor".  This may soon be dropped entirely (see
    #682347), but in any case I think it highly unlikely that anyone wants
    this package as a randomly-selected editor in the event of a dependency
    on "editor".
  * Remove the vi, view, and editor alternatives, for much the same reason.
  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Move VCS to salsa.debian.org.
  * Convert debian/copyright to copyright-format 1.0.
  * Policy version 4.1.3.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 01:53:29 +0000

vigor (0.016-25) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Feb 2016 16:02:41 +0000

vigor (0.016-24) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * CVE-2015-2305: Use libc's regex routines rather than the bundled ones,
    to avoid needing to apply security patches independently (closes:
    #778409).

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Feb 2015 21:17:07 +0000

vigor (0.016-23) unstable; urgency=low

  * Add a header to debian/patches/client-side-fonts.patch.
  * Add a Homepage field.
  * Build with large file support, for those times when you just have to
    edit a >=2GiB file using Vigor.
  * Switch to git; adjust Vcs-* fields.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2014 06:15:54 +0000

vigor (0.016-22) unstable; urgency=low

  * Work around debhelper change in 9.20130507 (reported in #707336) that
    breaks our build (closes: #707505).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2013 10:42:30 +0100

vigor (0.016-21) unstable; urgency=low

  * Remove config-guess-sub.patch in favour of updating config.guess and
    config.sub automatically at build time.  dh_autoreconf does not take
    care of that by default because vigor does not use automake.
  * Drop build/configure part of tcl-versions.patch, obsoleted by
    dh_autoreconf.
  * Port to Tcl/Tk 8.6.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Dec 2012 12:25:33 +0000

vigor (0.016-20) unstable; urgency=low

  * Overhaul build system to work with modern autotools.
  * Use dh-autoreconf.
  * Support parallel builds.
  * When cross-building, make sure to build a2c with the native compiler.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Dec 2012 12:09:02 +0000

vigor (0.016-19) unstable; urgency=low

  * Drop manual and not-very-useful 'debian/rules configure' target.
  * Upgrade to debhelper 9, mainly for hardening build flags support.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 14:50:22 +0100

vigor (0.016-18) unstable; urgency=low

  * Build-depend on libxt-dev for AC_PATH_X (closes: #654320).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Jan 2012 02:14:23 +0000

vigor (0.016-17) unstable; urgency=low

  * Switch to tcl8.5 and tk8.5 (closes: #653550).
  * Switch to debhelper 8.
  * Use client-side fonts.  Server-side fonts don't seem to work properly in
    Tk 8.5.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Dec 2011 11:57:12 +0000

vigor (0.016-16) unstable; urgency=low

  * Use 'dh <sequence> --options' rather than 'dh --options <sequence>', for
    forward-compatibility with debhelper v8.
  * Update Vcs-Bzr field for Alioth changes.
  * Add build-arch and build-indep targets.

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Sep 2011 11:01:07 +0100

vigor (0.016-15) unstable; urgency=low

  * Convert to source format 3.0 (quilt) and DEP-3 patch tagging.
  * Never automatically rebuild autotools files.  It's likely to cause
    problems given the ancient autoconf in use here, and the output produced
    by automatic rebuilds confuses dh_auto_* when trying to detect make
    targets.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Mar 2010 01:31:07 +0000

vigor (0.016-14) unstable; urgency=low

  * Use dh --sourcedirectory=build, simplifying debian/rules. Requires
    debhelper 7.3.0.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Feb 2010 00:50:03 +0000

vigor (0.016-13) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.
  * Convert to debhelper 7. Uses override targets, so requires 7.0.50.
  * Don't remove vi/#v_xchar.c# on clean; it's in the upstream tarball.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jul 2009 09:38:28 +0100

vigor (0.016-12) unstable; urgency=low

  * Update watch file to new location on SourceForge (thanks, Raphael
    Geissert; closes: #449945).

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 Nov 2007 14:14:12 +0000

vigor (0.016-11) unstable; urgency=low

  * Use autotools-dev's recommended ./configure options to set the host
    type.
  * Don't ignore errors from 'make -C build distclean' other than the
    Makefile not existing.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Nov 2007 08:19:51 +0000

vigor (0.016-10) unstable; urgency=low

  * Don't strip binaries on 'make install'; let dh_strip do that according
    to DEB_BUILD_OPTIONS (closes: #438241).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Aug 2007 07:52:51 +0100

vigor (0.016-9) unstable; urgency=low

  * Use debhelper v4.
  * Switch from dh_installmanpages to dh_installman.
  * Switch to tcl8.4 and tk8.4.
  * Provides: editor (closes: #398754).
  * Update to section structure from menu 2.1.35.
  * Update config.guess and config.sub from autotools-dev 20070306.1.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Jul 2007 11:50:22 +0100

vigor (0.016-8) unstable; urgency=low

  * Update config.guess and config.sub from autotools-dev 20040822.1.
  * Build-depend on libx11-dev rather than the transitional xlibs-dev
    package.
  * Quote 'needs' and 'section' arguments in menu file (thanks, lintian).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Nov 2004 16:03:25 +0000

vigor (0.016-7) unstable; urgency=low

  * Policy version 3.5.7: drop DEB_BUILD_OPTIONS=debug and support noopt.

 -- Colin Watson <cjwatson@debian.org>  Sat,  5 Oct 2002 14:12:01 +0100

vigor (0.016-6) unstable; urgency=low

  * Update config.guess and config.sub from autotools-dev 20020201.1.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Feb 2002 20:19:19 +0000

vigor (0.016-5) unstable; urgency=low

  * Install a very low-priority alternative for vi, view, and editor, for
    those insane people who want vigor as a default (closes: #123680).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Dec 2001 21:30:42 +0000

vigor (0.016-4) unstable; urgency=low

  * Revert the conflicts added in -3; the point's been made, and judging by
    the complaints quite a number of Emacs users want to try this out. We vi
    users still have a lot of work to do ... (closes: #114519, won't reopen
    the conflicting bug).
  * Boy, this is getting a lot of uploads for a joke package!

 -- Colin Watson <cjwatson@debian.org>  Fri,  5 Oct 2001 10:01:41 +0100

vigor (0.016-3) unstable; urgency=low

  * Conflict with the Great Enemy editor (closes: #114289).

 -- Colin Watson <cjwatson@debian.org>  Thu,  4 Oct 2001 02:29:19 +0100

vigor (0.016-2) unstable; urgency=low

  * Finally upload to Debian (closes: #113839).
  * New maintainer address.
  * Policy version 3.5.6.
  * Support DEB_BUILD_OPTIONS.
  * Sanitize build-depends.
  * Delete heretical Emacs modelines from vigor(1) and this changelog.
  * Modernize debian/rules.
  * Use Tcl/Tk 8.3 (requires patching configure.in again).
  * Update config.guess and config.sub from autotools-dev 20010907.1.
  * Add more text to the package description.

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Sep 2001 02:51:19 +0100

vigor (0.016-1) unstable; urgency=low

  * New upstream release

 -- Colin Watson <cjw44@flatline.org.uk>  Sun, 14 May 2000 12:10:01 +0100

vigor (0.015-1) unstable; urgency=low

  * New upstream release.
  * Removed debian/rules patches (to force /usr/share/vigor etc.), which are
    now done upstream.
  * Also removed remaining build/Makefile.in patches, done upstream.
  * Build-Depends: libdb2-dev
  * Minor packaging changes.

 -- Colin Watson <cjw44@cam.ac.uk>  Mon, 27 Mar 2000 18:47:27 +0100

vigor (0.014-1) unstable; urgency=low

  * New upstream version.
  * Removed build/configure.in patches to persuade Tcl/Tk to work; this is
    now done upstream.
  * Moved most of the build/Makefile.in patches to debian/rules.

 -- Colin Watson <cjw44@cam.ac.uk>  Wed,  1 Mar 2000 18:54:26 +0000

vigor (0.010-1) unstable; urgency=low

  * Initial Release.

 -- Colin Watson <cjw44@cam.ac.uk>  Mon, 24 Jan 2000 17:43:59 +0000
